Subject: bug#43844: 27.1; Mouse-3 avoid "Buffer is read-only" *patch*

From: Corwin Brust <[email-masked]>
Date: Thu, 28 Jan 2021 14:20:15 -0600

Hi Lars,

Apologies for not having followed-up on this and thank you for lending it
your attention.

On Tue, Jan 26, 2021 at 11:37 PM Lars Ingebrigtsen <[email-masked]> wrote:

> Noam Postavsky <[email-masked]> writes:
>
> > I think you just need to set the kill-read-only-ok option.
> >
> >     kill-read-only-ok is a variable defined in ‘simple.el’.
> >     Its value is nil
> >
> >     Documentation:
> >     Non-nil means don’t signal an error for killing read-only text.
>
> So I think this works as designed, and I'm closing this bug report.
>

I disagree this behavior makes sense.

Should it be the users responsibility to set this variable (in some hook?
which?) for any buffers that default to read-only?

Again, thanks!

>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 
*Corwin*
[email-masked] <[email-masked]>*